Cannot load PocketQuery plugin

Hi.

When installing the PocketQuery plugin an exception is thrown with the following message "Error retrieving dependency of class: de.scandio.confluence.plugins.pocketquery.extractors.PocketQueryResultExtractor. Missing class: org/apache/lucene/index/IndexableField".

I don't know Lucene at all (apart that it is a search engine library for Apache) and wanted to know if someone knows some causes for this error (apart from the obvious).

Thank you,

Vitor

3 answers

1 accepted

0 votes
Accepted answer

Hi Paulo.

Seems like the plugin is not compatible with the Lucene version you have running on Confluence.

Confluence upgraded the Lucene version on Confluence 5.2: https://confluence.atlassian.com/display/DOC/Confluence+5.2+Upgrade+Notes.

So, as Felix said, double check if you're installing a version of PocketQuery that is compatible with your version of Confluence.

Cheers!

As I mentioned in my last post, there is now a new PocketQuery version that is compatible with both Lucene APIs (Confluence < 5.2 and Confluence >= 5.2).

Hi Vitor,

interesting issue! What version of Confluence are you running?

Regards,
Felix [Scandio]

Actually, PocketQuery version 1.12 could only be installed on recent Confluence installations (>= 5.2). I fixed this backwards compatibility issue. There is now a version 1.12.1 that is compatible with all Confluence versions >= 4.0. Please check it out at the marketplace :)

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Feb 06, 2019 in Confluence

Try out the new editing experience

Hi team, I’m Avinoam, a product manager on Confluence Cloud, and today I’m really excited to let the Community know that all customers can now try out the new editing experience and see some of the ...

926 views 47 7
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you